package com.ims.eval.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.OrganizationEvaluationRule;
import com.ims.eval.entity.OrganizationRatingRule;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IOrganizationRatingRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 单位评级规则 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-06-19
 */
@RestController
@RequestMapping("//organization-rating-rule")
public class OrganizationRatingRuleController {

	@Autowired
	private IOrganizationRatingRuleService organizationRatingRuleService;

	/**
	 * 查询
	 * @param pageNum
	 * @param pageSize
	 * @param id
	 * @param binSection
	 * @param binStage
	 * @param ruleName
	 * @param checkCycle
	 * @return
	 */
	@GetMapping(value = "list")
	public R list(@RequestParam(value = "pageNum") Integer pageNum,
				  @RequestParam(value = "pageSize") Integer pageSize,
				  @RequestParam(value = "id", required = false) String id,
				  @RequestParam(value = "binSection", required = false) String binSection,
				  @RequestParam(value = "binStage", required = false) String binStage,
				  @RequestParam(value = "ruleName", required = false) String ruleName,
				  @RequestParam(value = "checkCycle", required = false) String checkCycle) {
		IPage<OrganizationRatingRule> list = organizationRatingRuleService.list(pageNum, pageSize, id, binSection, binStage, ruleName, checkCycle);
		return R.ok().data(list);
	}




}
